コンテンツにスキップ
ログイン サインアップ

Google検索API

Google検索のオーガニック結果、広告、関連検索、ナレッジグラフなどを取得します。engine=google を設定し、クエリ文字列を渡すことで、キャプチャやボット対策を回避した構造化データを取得できます。

GET https://serp.shifter.io/v1?engine=google&api_key=YOUR_API_KEY
パラメーター型必須説明
api_keystringはいSERP APIキー
enginestringはいgoogle を指定する必要があります
qstringはい検索クエリ
cookiestringいいえリクエスト用のカスタムクッキー。URLエンコードが必要です
tbmstringいいえ検索バーティカル: isch(画像)、vid(動画)、nws(ニュース)、shop(ショッピング)
sort_bystringいいえ結果を relevance または date で並べ替え
time_periodstringいいえlast_hour、last_day、last_week、last_month、last_year、または custom
time_period_minstringいいえtime_period=custom の場合の最小日付。形式は MM/DD/YYYY
time_period_maxstringいいえtime_period=custom の場合の最大日付。形式は MM/DD/YYYY
flatten_resultsintいいえ結果をフラット化する場合は 1、それ以外は 0
empty_resultsintいいえ空の結果を非表示にする場合は 0、表示する場合は 1
devicestringいいえdesktop、mobile、または tablet
locationstringいいえジオターゲティングの地域名
google_domainstringいいえ使用するGoogleドメイン(例: google.co.uk)
uulestringいいえGoogleエンコード形式の位置情報文字列
lrstringいいえ言語制限、形式は lang_xx
hlstringいいえインターフェース言語コード
glstringいいえ国コード
startintいいえページネーション用の結果オフセット
numintいいえページごとの結果数
ijnintいいえGoogle画像検索のページ番号(1ページあたり100画像)
safestringいいえセーフサーチ: active または off
filterintいいえ類似結果および省略結果のフィルター: オンは 1、オフは 0
nfprintいいえ自動修正されたクエリを除外する場合は 1、それ以外は 0
tbsstringいいえ高度な検索パラメータ(特許、日付など)
ludocidstringいいえGoogleマイビジネスの CID(Place ID)
lsigintいいえナレッジグラフのマップビューを強制表示
Terminal window
curl "https://serp.shifter.io/v1?engine=google&api_key=YOUR_API_KEY&q=history"
{
"search_metadata": {
"id": "...",
"status": "Success",
"created_at": "2024-01-01T00:00:00Z"
},
"search_parameters": {
"engine": "google",
"q": "history",
"google_domain": "google.com",
"device": "desktop"
},
"search_information": {
"total_results": 10500000000,
"time_taken_displayed": 0.52
},
"organic_results": [
{
"position": 1,
"title": "History - Wikipedia",
"link": "https://en.wikipedia.org/wiki/History",
"displayed_link": "https://en.wikipedia.org > wiki > History",
"snippet": "History is the systematic study of the past..."
}
],
"related_searches": [ { "query": "world history" } ],
"pagination": { "current": 1, "next": "..." }
}